Bug 89567 - Anaconda crashed while trying to install RedHat Workstation 8
Summary: Anaconda crashed while trying to install RedHat Workstation 8
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 8.0
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-24 13:40 UTC by Nachiketa Shukla
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-28 19:27:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error dump which was thrown on screen (36.02 KB, text/plain)
2003-04-24 13:42 UTC, Nachiketa Shukla
no flags Details

Description Nachiketa Shukla 2003-04-24 13:40:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.8 [en] (Windows NT 5.0; U)

Description of problem:
Anaconda crashed and threw errors while I was attempting to upgrade to RedHat Install Linux 8.0 from RedHat Linux 7.1.
Choose to upgrade the disk format to ext3 from ext2.
Choose the no boot loader option and anaconda crashed and threw errors.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start the RedHat linux 8.0 upgrade from Linux 7.1.
2. I did not have a bootloader before as it was ot getting configured.
3. While running installation in linux text mode, choose not to configure any boot loader.
4. Click Ok to proceed and error is dumped.
    

Actual Results:  1. Anaconda crashed and installation exited.

Expected Results:  1. It should have accepted the input and carried on with the installation.

Additional info:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 694, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 425, in run
    rc = apply(win, (self.screen, ) + args)
  File "/usr/lib/anaconda/textw/upgrade_bootloader_text.py", line 113, in __call__
    self.bl.setDevice(self.bootDev)
  File "/usr/lib/booty/bootloaderInfo.py", line 206, in setDevice
    (dev, part) = getDiskPart(device)
  File "/usr/lib/booty/bootloaderInfo.py", line 1231, in getDiskPart
    cut = len(dev)
TypeError: len() of unsized object

Comment 1 Nachiketa Shukla 2003-04-24 13:42:09 UTC
Created attachment 91273 [details]
Error dump which was thrown on screen

Comment 2 Jeremy Katz 2003-04-28 19:27:02 UTC
This is fixed in Red Hat Linux 9.


Note You need to log in before you can comment on or make changes to this bug.